/***************************************************************************
*  INCLUDE: qidx-tt.i
*   AUTHOR: Stephen Hawkins
*     DATE: 26 March 2006
* INCLUDED: qidx.p, qidx-db.p
*  PURPOSE: Temp-table definitions for shared use with qidx.p and qidx-db.p
*           which needs to be run as a separate program. Some consideration
*           was given to avoid sharing these tables but I decided it wasn't
*           really worth the extra effort.
*           Table definitions are copied from database schema tables in
*           qidx-db.p. New definitions can be created and existing 
*           definitions can be modified and experimented with in qidx.p
*           without changing database definitions.
***************************************************************************/

/* TABLE DEFINITION */
def {1} temp-table t-table
  field db-name as char
  field file-name as char
  field table-name as char
  field primary-index as char
  field from-db as log
  field modified as log
  index table-name is unique table-name
  index db-name db-name
  index file-name file-name.

/* FIELD DEFINITION */
def {1} temp-table t-field
  field table-name as char
  field field-name as char
  field data-type as char
  field extent as int
  index table+fname is unique table-name field-name.

/* INDEX DEFINITION */
def {1} temp-table t-index
  field table-name as char
  field index-order as int
  field index-name as char
  field index-type as char
  field num-fields as int
  index table+iorder is unique table-name index-order
  index table+iname is unique table-name index-name.

/* INDEX-FIELD DEFINITION */  
def {1} temp-table t-ixfld
  field table-name as char
  field index-name as char
  field field-order as int
  field field-name as char
  field is-ascending as log
  field is-word as log
  index table+index+order is unique 
    table-name index-name field-order
  index table+index+fname
    table-name index-name field-name
  index table+fname table-name field-name.
